import 'database.dart';

class SettingsT {
  String domain;
  String token;
  String videopath;
  int tilewidth;

  SettingsT(this.domain, this.token, this.videopath, this.tilewidth);
}

class SettingsDB {
  static final SettingsDB _instance = SettingsDB._();

  SettingsT _settings = SettingsT("", "", "", 0);
  bool _initialized = false;

  Future<SettingsT> getSettings() async {
    if (!_initialized) {
      final result = (await Db().db().query("settings",
              where: "1",
              columns: ["domain", "token", "videopath", "tilewidth"]))
          .first;

      _settings = SettingsT(
          result["domain"] as String,
          result["token"] as String,
          result["videopath"] as String,
          result["tilewidth"] as int);
    }
    return _settings;
  }

  Future<void> setSettings(SettingsT settings) async {
    await Db().db().update(
        "settings",
        {
          "domain": settings.domain,
          "token": settings.token,
          "videopath": settings.videopath,
          "tilewidth": settings.tilewidth
        },
        where: "1");
  }

  static SettingsDB getInstance() {
    return _instance;
  }

  SettingsDB._();
}
